Subject: bug#54914: 28.1.50; Unable to form Brahmi conjuncts in Emacs

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Sun, 17 Apr 2022 21:20:50 +0530

>
> First, we need to have a "hello" greeting in Brahmi script for the
> etc/HELLO file.  Can you show such a greeting?
>
𑀦𑀫𑀲𑁆𑀢𑁂 (नमस्ते namastē) (11026 1102B 11032 11046 11022 11042) could
work in Sanskrit

We also need to know how to write "Brahmi" in Brahmi script, but I
> think I found the answer for that: "𑀩𑁆𑀭𑀸𑀳𑁆𑀫𑀻", right?  If that is
> incorrect, please tell how to write this correctly.
>

Yes this is correct

Can you look and tell whether the keyboard layout shown there is
> reasonable?  If not, can you point me to a better one, or maybe
> suggest such a layout yourself?  All I need to know is which key on a
> standard QWERTY keyboard should produce what Brahmi character(s), and
> then I can write the input method myself.
>

Here is a modified version of the layout which I use

On Sun, Apr 17, 2022 at 8:27 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Sun, 17 Apr 2022 19:55:36 +0530
> > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> >
> > Everything seems to be working fine now.
> > Thank you Eli and Robert for your hardwork.
>
> Thanks for testing.
>
> > Here is "Welcome to Emacs" in Sanskrit in the Brahmi script rendered
> correctly in Emacs!
> > 𑀈𑀫𑁃𑀓𑁆𑀲𑁂 𑀲𑁆𑀯𑀸𑀕𑀢𑀫𑁆 (ईमैक्से स्वागतम् īmaiksē svāgatam)
>
> Thanks, but we are not done yet.
>
> First, we need to have a "hello" greeting in Brahmi script for the
> etc/HELLO file.  Can you show such a greeting?  It is okay to have two
> or even 3 if there's no single phrase for that.
>
> We also need to know how to write "Brahmi" in Brahmi script, but I
> think I found the answer for that: "𑀩𑁆𑀭𑀸𑀳𑁆𑀫𑀻", right?  If that is
> incorrect, please tell how to write this correctly.
>
> Last, but not least, we should have an input method for Brahmi.  I
> looked around, but found only one description of a keyboard map for
> Brahmi, which is here:
>
>   https://github.com/kaamanita/brahmi
>
> Can you look and tell whether the keyboard layout shown there is
> reasonable?  If not, can you point me to a better one, or maybe
> suggest such a layout yourself?  All I need to know is which key on a
> standard QWERTY keyboard should produce what Brahmi character(s), and
> then I can write the input method myself.
>
> Thanks.
>